Créer un signet
curl --request POST \
--url https://api.x.com/2/users/{id}/bookmarks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tweet_id": "1346889436626259968"
}
'import requests
url = "https://api.x.com/2/users/{id}/bookmarks"
payload = { "tweet_id": "1346889436626259968" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tweet_id: '1346889436626259968'})
};
fetch('https://api.x.com/2/users/{id}/bookmarks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"bookmarked": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Signets
Créer un signet
Ajoute une Publication aux signets de l’utilisateur authentifié.
POST
/
2
/
users
/
{id}
/
bookmarks
Créer un signet
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
ID de l’utilisateur source authentifié pour lequel ajouter un signet. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.
Exemple:
"2244994945"
Corps
application/json
Identifiant unique de ce Tweet. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les complications avec les langages et outils qui ne gèrent pas les entiers de très grande taille.
Pattern:
^[0-9]{1,19}$Exemple:
"1346889436626259968"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes